Bug 695712 - iwlagn: Support new 5000 microcode
Summary: iwlagn: Support new 5000 microcode
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 14
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-12 13:51 UTC by Serge
Modified: 2011-04-28 02:02 UTC (History)
12 users (show)

Fixed In Version: kernel-2.6.35.12-90.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of: 682742
Environment:
Last Closed: 2011-04-28 02:02:30 UTC


Attachments (Terms of Use)

Description Serge 2011-04-12 13:51:44 UTC
+++ This bug was initially created as a clone of Bug #682742 +++

Description of problem:
Add patch to allow load new iwlwif 5000 firmware.


Current version is iwl5000-firmware-8.83.5.1-2.fc14.noarch but the one being loaded is 

iwlagn 0000:03:00.0: Loaded firmware version: 8.24.2.12



03:00.0 Network controller: Intel Corporation Ultimate N WiFi Link 5300

--- Additional comment from arozansk@redhat.com on 2011-04-07 09:50:18 EDT ---

Patch(es) available on kernel-2.6.32-130.el6

Comment 1 Stanislaw Gruszka 2011-04-12 14:04:07 UTC
I believe this is because of lack of commit:

commit 41504cce240f791f1e16561db95728c5537fbad9
Author: Fry, Donald H <donald.h.fry@intel.com>
Date:   Wed Feb 16 11:49:34 2011 -0800

    iwlagn: Support new 5000 microcode.

It was cc to stable, but does not get fedora yet ...

Comment 2 Kyle McMartin 2011-04-22 15:46:10 UTC
Thanks, it'll be in the next build of F-14.

Comment 3 Fedora Update System 2011-04-22 19:01:17 UTC
kernel-2.6.35.12-90.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/kernel-2.6.35.12-90.fc14

Comment 4 Fedora Update System 2011-04-23 20:51:17 UTC
Package kernel-2.6.35.12-90.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-2.6.35.12-90.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/kernel-2.6.35.12-90.fc14
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-04-28 02:02:13 UTC
kernel-2.6.35.12-90.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.